package com.dsic.gj_erp.bean.jt;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 退货
 * 
 * @author ruoyi
 * @date 2024-06-26
 */
public class 退货{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String 客户名称;

    /** $column.columnComment */
    private String 退货申请日期;

    /** $column.columnComment */
    private String 采购退货单编号;

    /** $column.columnComment */
    private String 选择采购订单;

    /** $column.columnComment */
    private String 退货原因;

    /** $column.columnComment */
    private String 退货仓库;

    /** $column.columnComment */
    private String 经办人;

    /** $column.columnComment */
    private Long 退货产品总数;

    /** $column.columnComment */
    private Long 退货产品采购价总额含税;

    /** $column.columnComment */
    private Long 已入库退货产品总数;

    /** $column.columnComment */
    private Long 已入库退货产品售价总额含税;

    /** $column.columnComment */
    private String 产品退回确认;

    /** $column.columnComment */
    private String 退货处理时间;

    /** $column.columnComment */
    private String 创建时间;

    /** $column.columnComment */
    private String 创建用户;

    /** $column.columnComment */
    private String 最近修改时间;

    public void set客户名称(String 客户名称) 
    {
        this.客户名称 = 客户名称;
    }

    public String get客户名称() 
    {
        return 客户名称;
    }
    public void set退货申请日期(String 退货申请日期) 
    {
        this.退货申请日期 = 退货申请日期;
    }

    public String get退货申请日期() 
    {
        return 退货申请日期;
    }
    public void set采购退货单编号(String 采购退货单编号) 
    {
        this.采购退货单编号 = 采购退货单编号;
    }

    public String get采购退货单编号() 
    {
        return 采购退货单编号;
    }
    public void set选择采购订单(String 选择采购订单) 
    {
        this.选择采购订单 = 选择采购订单;
    }

    public String get选择采购订单() 
    {
        return 选择采购订单;
    }
    public void set退货原因(String 退货原因) 
    {
        this.退货原因 = 退货原因;
    }

    public String get退货原因() 
    {
        return 退货原因;
    }
    public void set退货仓库(String 退货仓库) 
    {
        this.退货仓库 = 退货仓库;
    }

    public String get退货仓库() 
    {
        return 退货仓库;
    }
    public void set经办人(String 经办人) 
    {
        this.经办人 = 经办人;
    }

    public String get经办人() 
    {
        return 经办人;
    }
    public void set退货产品总数(Long 退货产品总数) 
    {
        this.退货产品总数 = 退货产品总数;
    }

    public Long get退货产品总数() 
    {
        return 退货产品总数;
    }
    public void set退货产品采购价总额含税(Long 退货产品采购价总额含税)
    {
        this.退货产品采购价总额含税 = 退货产品采购价总额含税;
    }

    public Long get退货产品采购价总额含税()
    {
        return 退货产品采购价总额含税;
    }
    public void set已入库退货产品总数(Long 已入库退货产品总数)
    {
        this.已入库退货产品总数 = 已入库退货产品总数;
    }

    public Long get已入库退货产品总数()
    {
        return 已入库退货产品总数;
    }
    public void set已入库退货产品售价总额含税(Long 已入库退货产品售价总额含税)
    {
        this.已入库退货产品售价总额含税 = 已入库退货产品售价总额含税;
    }

    public Long get已入库退货产品售价总额含税()
    {
        return 已入库退货产品售价总额含税;
    }
    public void set产品退回确认(String 产品退回确认) 
    {
        this.产品退回确认 = 产品退回确认;
    }

    public String get产品退回确认() 
    {
        return 产品退回确认;
    }
    public void set退货处理时间(String 退货处理时间) 
    {
        this.退货处理时间 = 退货处理时间;
    }

    public String get退货处理时间() 
    {
        return 退货处理时间;
    }
    public void set创建时间(String 创建时间) 
    {
        this.创建时间 = 创建时间;
    }

    public String get创建时间() 
    {
        return 创建时间;
    }
    public void set创建用户(String 创建用户) 
    {
        this.创建用户 = 创建用户;
    }

    public String get创建用户() 
    {
        return 创建用户;
    }
    public void set最近修改时间(String 最近修改时间) 
    {
        this.最近修改时间 = 最近修改时间;
    }

    public String get最近修改时间() 
    {
        return 最近修改时间;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("客户名称", get客户名称())
            .append("退货申请日期", get退货申请日期())
            .append("采购退货单编号", get采购退货单编号())
            .append("选择采购订单", get选择采购订单())
            .append("退货原因", get退货原因())
            .append("退货仓库", get退货仓库())
            .append("经办人", get经办人())
            .append("退货产品总数", get退货产品总数())
            .append("退货产品采购价总额(含税)/元", get退货产品采购价总额含税())
            .append("已入库-退货产品总数", get已入库退货产品总数())
            .append("已入库-退货产品售价总额(含税)/元", get已入库退货产品售价总额含税())
            .append("产品退回确认", get产品退回确认())
            .append("退货处理时间", get退货处理时间())
            .append("创建时间", get创建时间())
            .append("创建用户", get创建用户())
            .append("最近修改时间", get最近修改时间())
            .toString();
    }
}
