package com.dsic.gj_erp.bean.sy;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;

@ApiModel("综合编码表")
@Entity
@Table(name = "dm_zhbmp")
@Data
@IdClass(Dm_zhbmp.PrimaryKey.class)
public class Dm_zhbmp {

    @Id
    private String BMLB;
    @Id
    private String BM;

    private String bmsm;

    @TableField("DZBS")
    private String dzbs;

    @TableField("TJGSBS")
    private String tjgsbs;

    @TableField("YLZD3")
    private String ylzd3;

    @TableField("ZXHCSJ")
    private Double zxhcsj;

    @TableField("YLZD2")
    private String ylzd2;

    @TableField("SZBZ")
    private Double szbz;

    @TableField("YLZD5")
    private Double ylzd5;


    @TableField("YLZD4")
    private Double ylzd4;

    @TableField("YLZD1")
    private String ylzd1;

    @TableField("ZFBZ")
    private String zfbz;

    @TableField("YLZD6")
    private Double ylzd6;

    @TableField("YSBL")
    private Double ysbl;


    @Data
    public static class PrimaryKey implements Serializable {
        private String BMLB;
        private String BM;

    }
}
